SiliconFlow
API手册

获取视频生成链接请求

获取用户生成的视频。生成视频的 URL 有效期为一小时,请及时下载保存,以免因 URL 过期造成问题。

POST
/video/status
AuthorizationBearer <token>required

添加 Header 'Authorization: Bearer {账户 API Key}' 进行鉴权

In: header

requestIdstringrequired

接口提交返回的 requestId。

Response Body

成功响应

TypeScript Definitions

Use the response body type in TypeScript.

statusstring

操作状态。可选值:'Succeed'(成功)、'InQueue'(排队中)、'InProgress'(进行中)、'Failed'(失败)。

Value in"Succeed" | "InQueue" | "InProgress" | "Failed"
reasonstring

失败原因说明。当 status 为 Failed 时返回。

resultsobject

curl --request POST \
  --url https://api.siliconflow.cn/v1/video/status \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
    "requestId": "c13b5dd0-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
  }'
import requests

url = "https://api.siliconflow.cn/v1/video/status"
payload = {"requestId": "c13b5dd0-xxxx-xxxx-xxxx-xxxxxxxxxxxx"}
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
  "status": "Succeed",
  "reason": "string",
  "results": {
    "videos": [
      {
        "url": "string"
      }
    ],
    "timings": {
      "inference": 0.1
    },
    "seed": 0
  }
}
{
  "code": 20012,
  "message": "string",
  "data": "string"
}
"Invalid token"
"Forbidden"
"404 page not found"
{
  "code": 50505,
  "message": "Model service overloaded. Please try again later.",
  "data": "string"
}
"string"